package main

import g "tgk-touch/internal/global"

const kioskLogPrefix = "[touch-kiosk]"

func kioskInfof(format string, args ...interface{}) {
	g.Log().Infof(kioskLogPrefix+" "+format, args...)
}

func kioskDebugf(format string, args ...interface{}) {
	g.Log().Debugf(kioskLogPrefix+" "+format, args...)
}

func kioskWarnf(format string, args ...interface{}) {
	g.Log().Warnf(kioskLogPrefix+" "+format, args...)
}

func kioskErrorf(format string, args ...interface{}) {
	g.Log().Errorf(kioskLogPrefix+" "+format, args...)
}
